// AddServiceDlg.cpp : implementation file
//

#include "stdafx.h"
#include "wmsoapsvccp.h"
#include "AddServiceDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddServiceDlg dialog


CAddServiceDlg::CAddServiceDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAddServiceDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddServiceDlg)
	m_strRoles = _T("");
	m_strHeaderProcProgID = _T("");
	m_strServiceProgID = _T("");
	m_strServiceName = _T("");
	m_strServiceURI = _T("");
	m_strWSDLFileURL = _T("");
	m_strPortName = _T("");
	m_strNextHopURL = _T("");
	m_strNodeURI = _T("");
    m_bSvcEnabled = FALSE;
	//}}AFX_DATA_INIT
}


void CAddServiceDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddServiceDlg)
	DDX_Text(pDX, IDC_EDIT_SVC_HDRACTOR, m_strRoles);
	DDX_Text(pDX, IDC_EDIT_SVC_HDRPROGID, m_strHeaderProcProgID);
	DDX_Text(pDX, IDC_EDIT_SVC_PROGID, m_strServiceProgID);
	DDX_Text(pDX, IDC_EDIT_SVC_NAME, m_strServiceName);
	DDX_Text(pDX, IDC_EDIT_SVC_URI, m_strServiceURI);
	DDX_Text(pDX, IDC_EDIT_SVC_WSDLFILE, m_strWSDLFileURL);
	DDX_Text(pDX, IDC_EDIT_PORT_NAME, m_strPortName);
	DDX_Text(pDX, IDC_EDIT_SVC_NEXTHOPURL, m_strNextHopURL);
	DDX_Text(pDX, IDC_EDIT_SVC_NODEURI, m_strNodeURI);
    DDX_Check(pDX, IDC_CHECK_ENABLED, m_bSvcEnabled);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddServiceDlg, CDialog)
	//{{AFX_MSG_MAP(CAddServiceDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddServiceDlg message handlers
